<?php

namespace STM\DB\SQL;

use \Exception;

/**
 * Test class for DeleteQuery.
 * Generated by PHPUnit on 2012-02-11 at 11:15:59.
 * @group database
 */
class DeleteQueryTest extends \PHPUnit_Framework_TestCase {

    /** @var DeleteQuery */
    protected $object;

    protected function setUp() {
        $this->object = new DeleteQuery(DT_COMPETITIONS);
    }

    public function testGenerate_AND_isValid() {
        // table must be non empty
        $delete = new DeleteQuery('');
        $this->assert_invalid_object($delete);
        // where condition must be set and valid
        $this->assert_invalid_object($this->object);
    }

    public function testSet_where() {
        $this->object->setWhere(new Condition('id is null'));
        $this->assert_valid_object($this->object);
    }

    private function assert_invalid_object($object) {
        parent::assertFalse($object->generate());
        parent::assertFalse($object->isValid());
    }

    private function assert_valid_object($object) {
        parent::assertTrue(is_string($object->generate()));
        parent::assertTrue($object->isValid());
    }

}

?>
